summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--doc/unit_tests.txt13
-rw-r--r--doc/waft17
2 files changed, 30 insertions, 0 deletions
diff --git a/doc/unit_tests.txt b/doc/unit_tests.txt
new file mode 100644
index 0000000000..87ef4d212c
--- /dev/null
+++ b/doc/unit_tests.txt
@@ -0,0 +1,13 @@
+Running unit tests
+------------------
+
+This is slightly neater if you have doc/waft on your path.
+
+1. Pass --test to waf configure
+2. cd libs/ardour
+3. waft --targets=libardour-tests && ./run-tests.sh
+
+The "--targets=libardour-tests" is optional, but it avoids a
+rebuild of the whole gtk2_ardour (which isn't necessary for
+running the tests).
+
diff --git a/doc/waft b/doc/waft
new file mode 100644
index 0000000000..4e526ca9a1
--- /dev/null
+++ b/doc/waft
@@ -0,0 +1,17 @@
+#!/bin/sh
+#
+# Copyright (C) Paul Davis 2011-2012
+
+while true ; do
+ if [ -x ./waf ] ; then
+ ./waf "$@"
+ if [ "$?" -ne "0" ]; then
+ exit 1
+ else
+ exit 0
+ fi
+ fi
+ cd ..
+ if [ `pwd` = '/' ] ; then break; fi
+done
+